package cn.com.origin.autocode.xmlutil;

import java.util.List;

import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;

/**
 * @copyRight 浙江康勒科技有限公司
 * @author 作者 E-mail:hub@connor.net.cn
 * @date 创建时间：2017-7-2 下午8:12:38
 * @version v1.0
 * @parameter
 * @since
 * @return
 */

public class CNCompontent {
	 String type;
	 String compententType;
	 List<CNProperty> propertyList;

	public CNCompontent() {

	}

	public CNCompontent(String type, String compententType,
			List<CNProperty> propertyList) {
		this.type = type;
		this.compententType = compententType;
		this.propertyList = propertyList;
	}

	@XmlAttribute(name = "type")
	public String getType() {
		return type;
	}

	public void setType(String type) {
		this.type = type;
	}

	@XmlAttribute(name = "compententType")
	public String getCompententType() {
		return compententType;
	}

	public void setCompententType(String compententType) {
		this.compententType = compententType;
	}

	@XmlElement(name = "property")
	public List<CNProperty> getPropertyList() {
		return propertyList;
	}

	public void setPropertyList(List<CNProperty> propertyList) {
		this.propertyList = propertyList;
	}

}
